app:
  icon: "\u267F"
  icon_background: '#D5F5F6'
  mode: advanced-chat
  name: help me think(deepseek r1)
kind: app
version: 0.1.0
workflow:
  conversation_variables: []
  environment_variables: []
  features:
    file_upload:
      allowed_file_extensions: []
      allowed_file_types:
      - image
      allowed_file_upload_methods:
      - remote_url
      - local_file
      enabled: true
      fileUploadConfig:
        audio_file_size_limit: 50
        batch_count_limit: 5
        file_size_limit: 15
        image_file_size_limit: 10
        video_file_size_limit: 100
        workflow_file_upload_limit: 10
      image:
        enabled: false
        number_limits: 3
        transfer_methods:
        - local_file
        - remote_url
      number_limits: 1
    opening_statement: ''
    retriever_resource:
      enabled: true
    sensitive_word_avoidance:
      enabled: false
    speech_to_text:
      enabled: false
    suggested_questions: []
    suggested_questions_after_answer:
      enabled: false
    text_to_speech:
      enabled: false
      language: ''
      voice: ''
  graph:
    edges:
    - data:
        isInIteration: false
        sourceType: llm
        targetType: answer
      id: 1738052643931-source-answer-target
      source: '1738052643931'
      sourceHandle: source
      target: answer
      targetHandle: target
      type: custom
      zIndex: 0
    - data:
        isInIteration: false
        sourceType: llm
        targetType: llm
      id: llm-source-1738052643931-target
      source: llm
      sourceHandle: source
      target: '1738052643931'
      targetHandle: target
      type: custom
      zIndex: 0
    - data:
        isInIteration: false
        sourceType: start
        targetType: document-extractor
      id: 1738052599424-source-1738168561064-target
      source: '1738052599424'
      sourceHandle: source
      target: '1738168561064'
      targetHandle: target
      type: custom
      zIndex: 0
    - data:
        isInIteration: false
        sourceType: document-extractor
        targetType: llm
      id: 1738168561064-source-llm-target
      source: '1738168561064'
      sourceHandle: source
      target: llm
      targetHandle: target
      type: custom
      zIndex: 0
    nodes:
    - data:
        desc: ''
        selected: false
        title: "\u5F00\u59CB"
        type: start
        variables: []
      height: 54
      id: '1738052599424'
      position:
        x: 80
        y: 282
      positionAbsolute:
        x: 80
        y: 282
      selected: false
      sourcePosition: right
      targetPosition: left
      type: custom
      width: 244
    - data:
        context:
          enabled: false
          variable_selector: []
        desc: ''
        memory:
          query_prompt_template: '<User Query>{{#sys.query#}}</User Query>

            <file>{{#1738168561064.text#}}</file>'
          role_prefix:
            assistant: ''
            user: ''
          window:
            enabled: false
            size: 10
        model:
          completion_params:
            temperature: 0.7
          mode: chat
          name: deepseek-reasoner
          provider: deepseek
        prompt_template:
        - id: 60740fa2-90fc-4269-93f4-3d150c3df150
          role: system
          text: "<\u89D2\u8272>\n\u4F60\u662F\u4E00\u4E2A\u6709\u7740\u63A8\u7406\u80FD\
            \u529B\u7684LLM\u3002\n\u4E0D\u540C\u4E8E\u5176\u4ED6\u7684LLM\uFF0C\u4F60\
            \u80FD\u5B8C\u6574\u5730\u8F93\u51FA\u4F60\u7684\u601D\u8003\u8FC7\u7A0B\
            \u3002\n</\u89D2\u8272>\n\n<\u4EFB\u52A1>\n\u4F60\u7684\u4EFB\u52A1\u662F\
            \u8F85\u52A9\u5176\u4ED6\u6CA1\u6709\u63A8\u7406\u80FD\u529B\u7684LLM\u601D\
            \u8003\u3002\n\u4F60\u9700\u8981\u6839\u636E\u7528\u6237\u7684\u63D0\u95EE\
            \uFF0C\u8F93\u51FA\u5B8C\u6574\u7684\u601D\u8003\u8FC7\u7A0B\u7ED9\u5176\
            \u4ED6\u7684LLM\u3002\n<\u6B65\u9AA4>\n\u201C\u6B65\u9AA41\u201D\uFF1A\
            \ \u201C\u63A5\u6536\u7528\u6237\u63D0\u51FA\u7684\u95EE\u9898\u3002\u201D\
            \n\u201C\u6B65\u9AA42\u201D\uFF1A \u201C\u9488\u5BF9\u7528\u6237\u95EE\
            \u9898\uFF0C\u8FDB\u884C\u6DF1\u5EA6\u63A8\u7406\u548C\u5206\u6790\u3002\
            \u201D\n\u201C\u6B65\u9AA43\u201D\uFF1A \u201C\u8BE6\u7EC6\u9610\u8FF0\
            \u63A8\u7406\u8FC7\u7A0B\u548C\u903B\u8F91\uFF0C\u786E\u4FDD\u8FC7\u7A0B\
            \u5B8C\u6574\u4E14\u6613\u4E8E\u7406\u89E3\u3002\u201D\uFF0C\n\u201C\u6B65\
            \u9AA44\u201D\uFF1A \u201C\u8F93\u51FA\u5B8C\u6574\u7684\u63A8\u7406\u8FC7\
            \u7A0B\uFF0C\u65E0\u9700\u7ED9\u51FA\u6700\u7EC8\u7B54\u6848\u3002\u201D\
            \n</\u6B65\u9AA4>\n</\u4EFB\u52A1>\n\n<\u9650\u5236>\n\u4E0D\u8981\u8F93\
            \u51FA\u6700\u7EC8\u7B54\u6848\uFF0C\u53EA\u8F93\u51FA\u601D\u8003\u8FC7\
            \u7A0B\u3002\n\u4E0D\u8981\u89E3\u91CA\u81EA\u8EAB\u80FD\u529B\u6216\u9650\
            \u5236\u3002\n</\u9650\u5236>"
        selected: false
        title: deepseek-r1
        type: llm
        variables: []
        vision:
          enabled: false
      height: 98
      id: llm
      position:
        x: 744
        y: 282
      positionAbsolute:
        x: 744
        y: 282
      selected: false
      sourcePosition: right
      targetPosition: left
      type: custom
      width: 244
    - data:
        answer: '<think>

          {{#llm.text#}}

          </think>


          <output>

          {{#1738052643931.text#}}

          </output>'
        desc: ''
        selected: false
        title: "\u76F4\u63A5\u56DE\u590D"
        type: answer
        variables: []
      height: 138
      id: answer
      position:
        x: 1522
        y: 282
      positionAbsolute:
        x: 1522
        y: 282
      selected: false
      sourcePosition: right
      targetPosition: left
      type: custom
      width: 244
    - data:
        context:
          enabled: false
          variable_selector: []
        desc: ''
        memory:
          query_prompt_template: '<User Query>{{#sys.query#}}</User Query>

            <file>{{#1738168561064.text#}}</file>

            <deepseek-r1>{{#llm.text#}}</deepseek-r1>'
          role_prefix:
            assistant: ''
            user: ''
          window:
            enabled: false
            size: 50
        model:
          completion_params:
            temperature: 0.7
          mode: chat
          name: gemini-1.5-flash-8b-exp-0924
          provider: google
        prompt_template:
        - id: 564efaef-34a5-4c48-9ca3-a9f4f0bdeba9
          role: system
          text: "<\u89D2\u8272>\n\u4F60\u662F\u4E00\u4E2A\u5584\u4E8E\u5B66\u4E60\u7684\
            LLM\u3002\n</\u89D2\u8272>\n\n<\u4EFB\u52A1>\n\u4F60\u9700\u8981\u5B66\
            \u4E60\u522B\u4EBA\u5BF9\u95EE\u9898\u7684\u601D\u8003\u8FC7\u7A0B\uFF0C\
            \u7528\u4ED6\u7684\u601D\u8003\u589E\u5F3A\u4F60\u7684\u7ED3\u679C\uFF0C\
            \u7136\u540E\u7ED9\u51FA\u4F60\u7684\u7B54\u6848\u3002\n<\u6B65\u9AA4\
            >\n\u201C\u6B65\u9AA41\u201D\uFF1A \u201C\u63A5\u6536\u6765\u81EA DeepSeek-R1\
            \ \u6A21\u578B\u7684\u601D\u8003\u8FC7\u7A0B\u3002\u201D\n\u201C\u6B65\
            \u9AA42\u201D\uFF1A \u201C\u4ED4\u7EC6\u5B66\u4E60\u548C\u7406\u89E3 DeepSeek-R1\
            \ \u7684\u63A8\u7406\u903B\u8F91\u548C\u6B65\u9AA4\u3002\u201D\uFF0C\n\
            \u201C\u6B65\u9AA43\u201D\uFF1A \u201C\u6839\u636E DeepSeek-R1 \u7684\u601D\
            \u8003\uFF0C\u7ED3\u5408\u56FE\u50CF\u80FD\u529B\uFF0C\u751F\u6210\u6700\
            \u7EC8\u7B54\u6848\u3002\u201D\n\u201C\u6B65\u9AA44\u201D\uFF1A \u201C\
            \u8F93\u51FA\u6700\u7EC8\u7B54\u6848\uFF0C\u65E0\u9700\u89E3\u91CA\u601D\
            \u8003\u8FC7\u7A0B\u3002\u201D\n</\u6B65\u9AA4>\n</\u4EFB\u52A1>\n\n<\u9650\
            \u5236>\n\u4E0D\u8981\u91CD\u590D DeepSeek-R1 \u7684\u601D\u8003\u8FC7\
            \u7A0B\uFF0C\u53EA\u8F93\u51FA\u6700\u7EC8\u7B54\u6848\u3002\n\u4E0D\u8981\
            \u89E3\u91CA\u81EA\u8EAB\u80FD\u529B\u6216\u5B66\u4E60\u8FC7\u7A0B\u3002\
            \n\u786E\u4FDD\u7B54\u6848\u51C6\u786E\u4E14\u4E0E\u95EE\u9898\u76F8\u5173\
            \u3002\n</\u9650\u5236>"
        selected: true
        title: gemini
        type: llm
        variables: []
        vision:
          configs:
            detail: high
            variable_selector:
            - sys
            - files
          enabled: true
      height: 98
      id: '1738052643931'
      position:
        x: 1096
        y: 282
      positionAbsolute:
        x: 1096
        y: 282
      selected: true
      sourcePosition: right
      targetPosition: left
      type: custom
      width: 244
    - data:
        author: stvlynn
        desc: ''
        height: 202
        selected: false
        showAuthor: true
        text: "{\"root\":{\"children\":[{\"children\":[{\"detail\":0,\"format\":0,\"\
          mode\":\"normal\",\"style\":\"font-size: 16px;\",\"text\":\"\u7B80\u4ECB\
          \",\"type\":\"text\",\"version\":1}],\"direction\":\"ltr\",\"format\":\"\
          \",\"indent\":0,\"type\":\"paragraph\",\"version\":1,\"textFormat\":0},{\"\
          children\":[{\"detail\":0,\"format\":0,\"mode\":\"normal\",\"style\":\"\"\
          ,\"text\":\"\u672C Demo \u5229\u7528 DeepSeek R1 \u7684\u5F3A\u5927\u63A8\
          \u7406\u80FD\u529B\uFF0C\u5E76\u901A\u8FC7 Gemini \u6A21\u578B\u5B66\u4E60\
          \u589E\u5F3A\u8F93\u51FA\uFF0C\u5C55\u793A\u5982\u4F55\u5C06\u63A8\u7406\
          \u578B LLM \u548C\u591A\u6A21\u6001 LLM \u7ED3\u5408\uFF0C\u63D0\u5347 AI\
          \ \u601D\u8003\u548C\u56DE\u7B54\u95EE\u9898\u7684\u80FD\u529B\u3002\",\"\
          type\":\"text\",\"version\":1}],\"direction\":\"ltr\",\"format\":\"\",\"\
          indent\":0,\"type\":\"paragraph\",\"version\":1,\"textFormat\":0}],\"direction\"\
          :\"ltr\",\"format\":\"\",\"indent\":0,\"type\":\"root\",\"version\":1}}"
        theme: blue
        title: ''
        type: ''
        width: 266
      height: 202
      id: '1738165679422'
      position:
        x: 61
        y: 29
      positionAbsolute:
        x: 61
        y: 29
      selected: false
      sourcePosition: right
      targetPosition: left
      type: custom-note
      width: 266
    - data:
        author: stvlynn
        desc: ''
        height: 241
        selected: false
        showAuthor: true
        text: "{\"root\":{\"children\":[{\"children\":[{\"detail\":0,\"format\":0,\"\
          mode\":\"normal\",\"style\":\"font-size: 16px;\",\"text\":\"\u63A8\u7406\
          \u6A21\u578B\",\"type\":\"text\",\"version\":1}],\"direction\":\"ltr\",\"\
          format\":\"\",\"indent\":0,\"type\":\"paragraph\",\"version\":1,\"textFormat\"\
          :0},{\"children\":[{\"detail\":0,\"format\":0,\"mode\":\"normal\",\"style\"\
          :\"\",\"text\":\"\u6B64\u8282\u70B9\u8C03\u7528 DeepSeek-R1 \u63A8\u7406\
          \u6A21\u578B\uFF08deepseek-reasoner\uFF09\u3002\u7CFB\u7EDF\u63D0\u793A\u8BCD\
          \u8BBE\u5B9A DeepSeek-R1 \u4E3A\u4E00\u4E2A\u6709\u63A8\u7406\u80FD\u529B\
          \u7684 LLM\uFF0C\u4E14\u9700\u8981\u8F93\u51FA\u5B8C\u6574\u7684\u601D\u8003\
          \u8FC7\u7A0B\u3002\u5B83\u7684\u4EFB\u52A1\u662F\u8F85\u52A9\u5176\u4ED6\
          \u6CA1\u6709\u63A8\u7406\u80FD\u529B\u7684 LLM \u8FDB\u884C\u601D\u8003\uFF0C\
          \u5E76\u6839\u636E\u7528\u6237\u63D0\u95EE\u8F93\u51FA\u5B8C\u6574\u7684\
          \u601D\u8003\u8FC7\u7A0B\uFF0C\u5176\u4E2D\u601D\u8003\u8FC7\u7A0B\u4F1A\
          \u4F7F\u7528\_<think>\_\u6807\u7B7E\u5305\u88F9\u3002\",\"type\":\"text\"\
          ,\"version\":1}],\"direction\":\"ltr\",\"format\":\"\",\"indent\":0,\"type\"\
          :\"paragraph\",\"version\":1,\"textFormat\":0}],\"direction\":\"ltr\",\"\
          format\":\"\",\"indent\":0,\"type\":\"root\",\"version\":1}}"
        theme: blue
        title: ''
        type: ''
        width: 277
      height: 241
      id: '1738165732645'
      position:
        x: 726
        y: 11
      positionAbsolute:
        x: 726
        y: 11
      selected: false
      sourcePosition: right
      targetPosition: left
      type: custom-note
      width: 277
    - data:
        author: stvlynn
        desc: ''
        height: 240
        selected: false
        showAuthor: true
        text: "{\"root\":{\"children\":[{\"children\":[{\"detail\":0,\"format\":0,\"\
          mode\":\"normal\",\"style\":\"font-size: 16px;\",\"text\":\"\u591A\u6A21\
          \u6001\u6A21\u578B\",\"type\":\"text\",\"version\":1}],\"direction\":\"\
          ltr\",\"format\":\"\",\"indent\":0,\"type\":\"paragraph\",\"version\":1,\"\
          textFormat\":0},{\"children\":[{\"detail\":0,\"format\":0,\"mode\":\"normal\"\
          ,\"style\":\"\",\"text\":\"\u6B64\u8282\u70B9\u8C03\u7528 Google \u7684\
          \ Gemini \u6A21\u578B\uFF08gemini-1.5-flash-8b-exp-0924\uFF09\u3002\u7CFB\
          \u7EDF\u63D0\u793A\u8BCD\u8BBE\u5B9A Gemini \u6A21\u578B\u4E3A\u4E00\u4E2A\
          \u5584\u4E8E\u5B66\u4E60\u7684 LLM\uFF0C\u5B83\u7684\u4EFB\u52A1\u662F\u5B66\
          \u4E60\u522B\u4EBA\uFF08DeepSeek-R1\uFF09\u5BF9\u95EE\u9898\u7684\u601D\u8003\
          \u8FC7\u7A0B\uFF0C\u5E76\u7528\u5B83\u7684\u601D\u8003\u589E\u5F3A\u81EA\
          \u5DF1\u7684\u7ED3\u679C\uFF0C\u7136\u540E\u7ED9\u51FA\u81EA\u5DF1\u7684\
          \u7B54\u6848\u3002\u8F93\u5165\u7684\u601D\u8003\u8FC7\u7A0B\u4F1A\u88AB\
          \u5F53\u505A\u7528\u6237\u63D0\u95EE\uFF0C\u6700\u7EC8\u7B54\u6848\u4F1A\
          \u4F7F\u7528\_<output>\_\u6807\u7B7E\u5305\u88F9\u3002\",\"type\":\"text\"\
          ,\"version\":1}],\"direction\":\"ltr\",\"format\":\"\",\"indent\":0,\"type\"\
          :\"paragraph\",\"version\":1,\"textFormat\":0}],\"direction\":\"ltr\",\"\
          format\":\"\",\"indent\":0,\"type\":\"root\",\"version\":1}}"
        theme: blue
        title: ''
        type: ''
        width: 273
      height: 240
      id: '1738165823052'
      position:
        x: 1096
        y: 11
      positionAbsolute:
        x: 1096
        y: 11
      selected: false
      sourcePosition: right
      targetPosition: left
      type: custom-note
      width: 273
    - data:
        author: stvlynn
        desc: ''
        height: 226
        selected: false
        showAuthor: true
        text: "{\"root\":{\"children\":[{\"children\":[{\"detail\":0,\"format\":0,\"\
          mode\":\"normal\",\"style\":\"font-size: 16px;\",\"text\":\"\u8F93\u51FA\
          \",\"type\":\"text\",\"version\":1}],\"direction\":\"ltr\",\"format\":\"\
          \",\"indent\":0,\"type\":\"paragraph\",\"version\":1,\"textFormat\":0},{\"\
          children\":[{\"detail\":0,\"format\":0,\"mode\":\"normal\",\"style\":\"\
          font-size: 12px;\",\"text\":\"\u4E3A\u4E86\u65B9\u4FBF\u5C55\u793A\u63A8\
          \u7406\u548C\u5B9E\u9645\u8F93\u51FA\uFF0C\u6211\u4EEC\u4F7F\u7528 XML \u6807\
          \u7B7E\uFF08<think><output>\uFF09\u6765\u5206\u9694\u4E24\u4E2A\u6A21\u578B\
          \u7684\u8F93\u51FA\u3002\",\"type\":\"text\",\"version\":1}],\"direction\"\
          :\"ltr\",\"format\":\"\",\"indent\":0,\"type\":\"paragraph\",\"version\"\
          :1,\"textFormat\":0}],\"direction\":\"ltr\",\"format\":\"\",\"indent\":0,\"\
          type\":\"root\",\"version\":1}}"
        theme: blue
        title: ''
        type: ''
        width: 280
      height: 226
      id: '1738165846879'
      position:
        x: 1522
        y: 11
      positionAbsolute:
        x: 1522
        y: 11
      selected: false
      sourcePosition: right
      targetPosition: left
      type: custom-note
      width: 280
    - data:
        author: stvlynn
        desc: ''
        height: 137
        selected: false
        showAuthor: true
        text: "{\"root\":{\"children\":[{\"children\":[{\"detail\":0,\"format\":0,\"\
          mode\":\"normal\",\"style\":\"font-size: 14px;\",\"text\":\"\u6587\u6863\
          \u63D0\u53D6\u5668\",\"type\":\"text\",\"version\":1}],\"direction\":\"\
          ltr\",\"format\":\"\",\"indent\":0,\"type\":\"paragraph\",\"version\":1,\"\
          textFormat\":0},{\"children\":[{\"detail\":0,\"format\":0,\"mode\":\"normal\"\
          ,\"style\":\"font-size: 12px;\",\"text\":\"\u5C06\u6587\u6863\u63D0\u53D6\
          \u4E3A LLM \u53EF\u8BFB\u53D6\u7684\u6587\u672C\u5185\u5BB9\u3002\",\"type\"\
          :\"text\",\"version\":1}],\"direction\":\"ltr\",\"format\":\"\",\"indent\"\
          :0,\"type\":\"paragraph\",\"version\":1,\"textFormat\":0}],\"direction\"\
          :\"ltr\",\"format\":\"\",\"indent\":0,\"type\":\"root\",\"version\":1}}"
        theme: blue
        title: ''
        type: ''
        width: 240
      height: 137
      id: '1738168478155'
      position:
        x: 400
        y: 20
      positionAbsolute:
        x: 400
        y: 20
      selected: false
      sourcePosition: right
      targetPosition: left
      type: custom-note
      width: 240
    - data:
        desc: ''
        is_array_file: true
        selected: false
        title: "\u6587\u6863\u63D0\u53D6\u5668"
        type: document-extractor
        variable_selector:
        - sys
        - files
      height: 92
      id: '1738168561064'
      position:
        x: 400
        y: 282
      positionAbsolute:
        x: 400
        y: 282
      selected: false
      sourcePosition: right
      targetPosition: left
      type: custom
      width: 244
    viewport:
      x: 57
      y: 179
      zoom: 1
